
Name:		kosmindoormap
Version:    23.08.5
Release:	%mkrel 1
Summary:	OSM multi-floor indoor map renderer
Group:		Graphical desktop/KDE5
License:	GPLv2+
Url:		https://kde.org/
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: kf5-macros
BuildRequires: bison
BuildRequires: flex
BuildRequires: pkgconfig(zlib)
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kpublictransport-devel
BuildRequires: lib64protobuf-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5qml-devel
BuildRequires: lib64qt5quick-devel
BuildRequires: osmctools

Requires: osmctools

%description
Library and QML component for rendering multi-level OSM indoor maps.

%files -f %{name}.lang
%{_kf5_categoriesdir}/org_kde_kosmindoormap.*categories
%{_kf5_qmldir}/org/kde/kosmindoormap/

#-------------------------------------------------------------------------

%define kosm_major 1
%define libkosm %mklibname kosm %{kosm_major}

%package -n %{libkosm}
Summary:	Library and QML component for rendering multi-level OSM indoor maps
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libkosm}
Library and QML component for rendering multi-level OSM indoor maps.

%files -n %{libkosm}
%{_kf5_libdir}/libKOSM.so.*

#-------------------------------------------------------------------------

%define kosmindoormap_major 1
%define libkosmindoormap %mklibname kosmindoormap %{kosmindoormap_major}

%package -n %{libkosmindoormap}
Summary:	Library and QML component for rendering multi-level OSM indoor maps
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libkosmindoormap}
Library and QML component for rendering multi-level OSM indoor maps.

%files -n %{libkosmindoormap}
%{_kf5_libdir}/libKOSMIndoorMap.so.*

#-------------------------------------------------------------------------

%define develname %mklibname %{name} -d

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} >= %{version}-%{release}
Requires:	%{libkosm} = %{version}-%{release}
Requires:	%{libkosmindoormap} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{develname}
%{_includedir}/KOSM/
%{_includedir}/KOSMIndoorMap/
%{_includedir}/kosm/
%{_includedir}/kosmindoormap/
%{_includedir}/kosmindoormap_version.h
%{_kf5_libdir}/libKOSM.so
%{_kf5_libdir}/libKOSMIndoorMap.so
%{_kf5_libdir}/cmake/KOSMIndoorMap/

#-------------------------------------------------------------------------

%prep
%setup -q

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5
%cmake_build

%install
rm -rf %buildroot
%cmake_install

%find_lang %{name}


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

